<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow  xmlns:fx="http://ns.adobe.com/mxml/2009"
				xmlns:s="library://ns.adobe.com/flex/spark"
				xmlns:ui="library://ns.adobe.com/flex/ui"
				xmlns:mx="library://ns.adobe.com/flex/mx"
				xmlns:components="br.com.dclick.components.*"
				xmlns:componente="br.com.desenv.framework.componente.*"
				close="titlewindowCloseHandler(event)"  title="Transfêrencia por referência" xmlns:visual="br.com.desenv.framework.component.visual.*" xmlns:autoComplete="br.com.desenv.framework.component.visual.autoComplete.*">
	
	<fx:Style source="../../../framework/util/estilo.css"/>

	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import mx.core.FlexGlobals;
			import mx.events.CloseEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			
			import br.com.desenv.nepalign.vo.Produto;

			[Bindable]
			private var listaValidadorForm: Array = new Array();
				
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}

			protected function titlewindowCloseHandler(event:CloseEvent):void
			{
				UPCPopUpManager.instance.removePopUp(this);
			}
			
			protected function buttonSalvar_clickHandler(event:MouseEvent):void
			{
				buttonSalvar.enabled = false;
				var referencia1:String = (this.ignAutoCompleteProdutoOrigem.itemSelecionado as Produto) != null ? (this.ignAutoCompleteProdutoOrigem.itemSelecionado as Produto).id.toString() : "";
				var referencia2:String = (this.ignAutoCompleteProdutoDestino.itemSelecionado as Produto) != null ? (this.ignAutoCompleteProdutoDestino.itemSelecionado as Produto).id.toString() : "";
				
				if(referencia1.length > 0 && referencia2.length > 0)
				{
					var remoteObjectAtualizar: RemoteObject  = AMFConnector.instance.prepararObjetoRemoto("estoqueProdutoService", this.transferirEstoqueProdutoHandler, this.transferirEstoqueProdutoHandlerFault);	
					remoteObjectAtualizar.getOperation("transferirEstoqueProdutoPorReferencia").send(referencia1, referencia2, FlexGlobals.topLevelApplication.usuarioLogado, this.dsvPerfilEmpresa.recuperarEmpresaFisicaSelecionada); 
				}
			}
			
			protected function transferirEstoqueProdutoHandlerFault(event:FaultEvent):void
			{
				Alert.show("Ocorreu um erro ao fazer a transferência : " + event.fault.faultString.replace("java.lang.Exception :",""));
			}
			
			protected function transferirEstoqueProdutoHandler(event:ResultEvent):void
			{
				Alert.show("Transferência realizada com sucesso! " + event.result as String);
				buttonSalvar.enabled = false;
			}
			
			protected function buttonLimpar_clickHandler(event:MouseEvent):void
			{
				this.ignAutoCompleteProdutoDestino.itemSelecionado = null;
				this.ignAutoCompleteProdutoOrigem.itemSelecionado = null;
			}
			
		]]>
	</fx:Script>
	
	<mx:HBox x="15" y="15">
		<mx:Grid styleName="grid" verticalScrollPolicy="auto" horizontalScrollPolicy="auto" maxHeight="600" maxWidth="1024">
			<mx:GridRow>
				<mx:GridItem>
					<mx:HBox verticalAlign="middle">
						<s:Label text="Empresa : "/>
						<visual:DsvPerfilEmpresa id="dsvPerfilEmpresa" tipoPesquisa="{DsvPerfilEmpresa.LISTAR_APENAS_LOJAS}" componentWidth="300"/>
					</mx:HBox>
					<mx:HBox verticalAlign="bottom">
						<s:Label text="Essa transferência transfere TODOS os saldos de uma referência para outra!" fontWeight="bold" color="0xE92922"/>
					</mx:HBox>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem>
					<mx:HBox verticalAlign="middle">
						<s:Label text="Da referência : "/>
						<autoComplete:IgnAutoComplete width="300" idKeyName="id" palavraChave="nomeProduto" id="ignAutoCompleteProdutoOrigem" enviarArgumentos="true" destino="produtoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="3"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Produto" tabEnabled="true" />
					</mx:HBox>
					<mx:HBox verticalAlign="middle">
						<s:Label text="Para referência : "/>
						<autoComplete:IgnAutoComplete width="300" idKeyName="id" palavraChave="nomeProduto" id="ignAutoCompleteProdutoDestino" enviarArgumentos="true" destino="produtoService" funcaoChamada="listarPorObjetoFiltro" lenStartConsulta="3"  nomeClasseObjetoFiltro="br.com.desenv.nepalign.vo.Produto" tabEnabled="true" />
					</mx:HBox>
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem>
					<s:Spacer height="15" />
				</mx:GridItem>
			</mx:GridRow>
			<mx:GridRow>
				<mx:GridItem colSpan="4" width="100%" horizontalAlign="right">
					<mx:HBox horizontalAlign="right" width="100%">
						<s:Button id="buttonSalvar" label="Transferir estoques" click="buttonSalvar_clickHandler(event)"/>
						<s:Button id="buttonLimpar" label="Limpar" click="buttonLimpar_clickHandler(event)"/>
					</mx:HBox>
				</mx:GridItem>
			</mx:GridRow>
		</mx:Grid>
	</mx:HBox>
</s:TitleWindow>